Bug 162152 - Wish: Batch Duplicate Image Management
Summary: Wish: Batch Duplicate Image Management
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Searches-Similarity (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-16 10:36 UTC by Geoff Routledge
Modified: 2017-07-01 15:11 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.10.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Geoff Routledge 2008-05-16 10:36:47 UTC
Version:            (using KDE 3.5.8)
Installed from:    SuSE RPMs
OS:                Linux

digiKam version 0.9.2 has a useful duplicate image detection tool which does a great job of detecting duplicates. However, when large numbers of duplicates are detected, it can be cumbersome to work through the list. What would be good, would be some way of handling the list in a more batch-centric way. Some possible thoughts are -

- Have a facility to automatically tag all the suspected duplicates so that some sort of batch operation could later be applied - i.e. delete.

- Have a facility to allow the export of the list in the form of a flat-file of filenames, this could then be used by a separate utility to manage or delete the duplicates. This might be a very useful "quick win"

- Allow for automatic movement of duplicates to a "duplicates" album. Items could then be reviewed there before deleting the entire album.

Some additional refinements would be some UI switches to customise the way in which the image to keep is selected. Decisions might be based on - date, image resolution, album, tag etc.

It would also be useful to be able to apply similar duplicate filtering (based on image) when importing images from an external source (camera, memory stick etc.). This would allow multiple imports from the same camera, without deleting the images on the camera, and without creating loads of duplicates. Of course, if the above features were implemented then similar functionality could be emulated by importing into a new album and then doing a duplicate scan before merging with the main albums.
Comment 1 caulier.gilles 2008-06-16 23:26:00 UTC
SVN commit 821218 by cgilles:

digiKam from trunk: "Et Voila !!!" Now the Find Duplicates tool from digiKam core is fully functional. This one is based on Haar wavelets fingerprints managed by new digiKam database.
A screenshot : http://digikam3rdparty.free.fr/Screenshots/temp/findduplicatesview3.png

Note: with KDE4, the old FindImages kipi-plugin become obsolete wit digiKam.

BUGS: 162152
BUGS: 161858
BUGS: 150077
BUGS: 112473
BUGS: 107095
BUGS: 104067


 M  +40 -23    findduplicatesview.cpp  
 M  +10 -7     findduplicatesview.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=821218